2010o available

Bug #672808 reported by Gary Lasker on 2010-11-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Gary Lasker
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Gary Lasker

Bug Description

Binary package hint: tzdata

There is a new tzdata version 2010o:

   - Fiji: Update DST rules (effective March 2011)
   - Samoa: Update DST rules (effective April 2011)

Note that the update to 2010n was skipped in Ubuntu because the 2010o version was expected to supersede within a week and the 2010n update contained no near-term changes.

Gary Lasker (gary-lasker) wrote :
Changed in tzdata (Ubuntu):
assignee: nobody → Gary Lasker (gary-lasker)
Gary Lasker (gary-lasker) wrote :

Test case for Fiji time zone change:

First, with 2010m:

$ zdump -v Pacific/Fiji | grep 2011
Pacific/Fiji Sat Mar 26 13:59:59 2011 UTC = Sun Mar 27 02:59:59 2011 FJST isdst=1 gmtoff=46800
Pacific/Fiji Sat Mar 26 14:00:00 2011 UTC = Sun Mar 27 02:00:00 2011 FJT isdst=0 gmtoff=43200

And after upgrade to 2010o:

$ zdump -v Pacific/Fiji | grep 2011
Pacific/Fiji Sat Mar 5 13:59:59 2011 UTC = Sun Mar 6 02:59:59 2011 FJST isdst=1 gmtoff=46800
Pacific/Fiji Sat Mar 5 14:00:00 2011 UTC = Sun Mar 6 02:00:00 2011 FJT isdst=0 gmtoff=43200

Gary Lasker (gary-lasker) wrote :

I've prepared the updates for Dapper, Hardy, Karmic, Lucid and Maverick, and have uploaded them to the following locations:

  http://people.canonical.com/~tremolux/tzdata_2010o_dapper/
  http://people.canonical.com/~tremolux/tzdata_2010o_hardy/
  http://people.canonical.com/~tremolux/tzdata_2010o_karmic/
  http://people.canonical.com/~tremolux/tzdata_2010o_lucid/
  http://people.canonical.com/~tremolux/tzdata_2010o_maverick/

Note that 2010o is already in Natty due to autosync.

Thanks!

Changed in tzdata (Ubuntu):
status: New → In Progress
Martin Pitt (pitti) on 2010-11-11
Changed in tzdata (Ubuntu Natty):
status: In Progress → Fix Released

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Maverick):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Dapper):
status: New → Fix Committed
Gary Lasker (gary-lasker) wrote :

I have verified the updates in -proposed for all of the following:

  dapper
  hardy
  karmic
  lucid
  maverick

Thanks Martin!

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) on 2010-11-15
Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010o~repack-0ubuntu0.8.04

---------------
tzdata (2010o~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2010o: (LP: #672808)
    - Fiji: Update DST rules (effective March 2011)
    - Samoa: Update DST rules (effective April 2011)
 -- Gary Lasker <email address hidden> Wed, 10 Nov 2010 16:34:44 -0500

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010o-0ubuntu0.9.10

---------------
tzdata (2010o-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2010o: (LP: #672808)
    - Fiji: Update DST rules (effective March 2011)
    - Samoa: Update DST rules (effective April 2011)
 -- Gary Lasker <email address hidden> Wed, 10 Nov 2010 15:57:27 -0500

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010o-0ubuntu0.10.04

---------------
tzdata (2010o-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2010o: (LP: #672808)
    - Fiji: Update DST rules (effective March 2011)
    - Samoa: Update DST rules (effective April 2011)
 -- Gary Lasker <email address hidden> Wed, 10 Nov 2010 15:52:18 -0500

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010o-0ubuntu0.10.10

---------------
tzdata (2010o-0ubuntu0.10.10) maverick-proposed; urgency=low

  * New upstream release 2010o: (LP: #672808)
    - Fiji: Update DST rules (effective March 2011)
    - Samoa: Update DST rules (effective April 2011)
 -- Gary Lasker <email address hidden> Wed, 10 Nov 2010 14:03:08 -0500

Changed in tzdata (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers